[Satellite 6.x] Upgrading a RHEL 7.9 content host to RHEL 8 via Red Hat Satellite fails with an 'Unable to use yum successfully' error

Solution Verified - Updated -

Issue

While upgrading a RHEL 7.9 content host to RHEL 8 via satellite following the Red Hat recommendations here, when executing the command:

# leapp preupgrade

the following error is returned:

============================================================
                           ERRORS
============================================================

2021-01-29 15:08:52.432483 [ERROR] Actor: scan_subscription_manager_info
Message: Unable to use yum successfully
Summary:
    Details: Command ['yum', 'clean', 'all'] failed with exit code 1.
    Stderr: There are no enabled repos.
             Run "yum repolist all" to see the repos you have.
             To enable Red Hat Subscription Management repositories:
                 subscription-manager repos --enable <repo>
             To enable custom repositories:
                 yum-config-manager --enable <repo>

============================================================
                       END OF ERRORS
============================================================

Environment

  • Red Hat Satellite 6.x
  • Red Hat Enterprise Linux 7.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content